net.sf.jasperreports.engine.fill

## Interface JRRecordedValuesPrintElement

- All Superinterfaces:
    JRCommonElement, JRIdentifiable, JRPrintElement, JRPropertiesHolder, JRStyleContainer
  All Known Implementing Classes:
    JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText

      public interface JRRecordedValuesPrintElement
      extends JRPrintElement

  Interface implemented by print elements that can record field/variable values.

  An element having `Auto evaluation time` will generate an instance of this type as print element. This instance will be responsible of storing field/variable values until the element can be evaluated.
  Version:
    $Id: JRRecordedValuesPrintElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `EvaluationTimeEnum.AUTO`

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRecordedValues()` Releases the recorded values set.
    `JRRecordedValues` | `getRecordedValues()` Returns the recorded values set.
    `void` | `initRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)` Initializes the recorded values set.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Method Detail

    - #### initRecordedValues

          void initRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)

      Initializes the recorded values set.
      Parameters:
        `evaluationTimes` - future times when the values will be recorded

    - #### getRecordedValues

          JRRecordedValues getRecordedValues()

      Returns the recorded values set.
      Returns:
        the recorded values set

    - #### deleteRecordedValues

          void deleteRecordedValues()

      Releases the recorded values set.

      This is called when all the recorded values are available and the element has been evaluated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com